cennik = {
    'kawa': 8.90,
    'herbata': 11.50,
    'soczek': 3.99,
    'ciastka': 7.50,
}

print(cennik)
print('Aby zakończyć, naciśnij enter zamiast nazwy produktu...')

suma = 0
while True:
    nazwa = input('Podaj nazwę produktu: ')
    if not nazwa:
        break
    if nazwa not in cennik:
        print('Nie ma takiego produktu')
        continue
    ile = int(input('Podaj liczbę sztuk: '))
    koszt = ile * cennik[nazwa]
    suma += koszt
    print(f'Za {ile} sztuk towaru {nazwa} zapłacisz {koszt:.2f}. Twój koszyk ma wartość: {suma:.2f}')

print(f'Sumaryczny koszt Twoich zakupów: {suma:.2f}')
